Xref: alice comp.databases.oracle.server:38282
Path: alice!news-feed.fnsi.net!news.he.net!remarQ73!supernews.com!remarQ69!not-for-mail
From: "ServerLogic Corp." <richardallen@serverlogic.com>
Newsgroups: comp.databases.oracle.server
Subject: Y2K Tool for Oracle, Sybase, MS SQL Server, SQL Anywhere, Informix
Date: Tue, 19 Jan 1999 08:04:36 -0800
Organization: ServerLogic Corp.
Lines: 73
Message-ID: <782aa5$mbp$1@remarQ.com>
X-Trace: 916761733 C4TGOY8WA9523CF99C usenet80.supernews.com
X-Complaints-To: newsabuse@remarQ.com
X-Newsreader: Microsoft Outlook Express 4.72.2106.4
X-MimeOLE: Produced By Microsoft MimeOLE V4.72.2106.4


ServerLogic Releases Year 2000 Solution for Database Stored Procedures
SP/2000(TM) Identifies Date-Related Issues in Popular Databases that other
Y2K Remediation Programs May Miss
----------------------------------------------------------------------------
----

Bellevue, WA (January 11, 1999) -- ServerLogic, a leading provider of Year
2000, client/server and Web solutions, announces the release of SP/2000 - a
Y2K tool for database stored procedures.

SP/2000 locates and identifies date-related issues within stored procedures
for the major client/server databases, while significantly reducing the
costs associated with an organization's Y2K effort. With SP/2000, an
experienced developer can scan, analyze and remediate approximately 300,000
lines of code within a week.

SP/2000 recognizes numerous date manipulation techniques commonly used in
Sybase, Oracle, MS SQL Server, Informix and SQL Anywhere databases. SP/2000
searches exported stored procedures for embedded 2-digit dates, improper
date string manipulation and incorrect database date function uses. Analysts
can leverage SP/2000 to parse stored procedure scripts, make changes to the
exported code from within the SP/2000 environment and generate detailed
reports highlighting the syntax and line number of any potentially
non-compliant code. These reports may then serve as an audit trail of an
organization's Y2K effort.

Are You Sure You're Y2K Compliant?

The primary benefit of SP/2000 is its ability to reinforce an organization's
Y2K effort. Stored procedures for most popular databases have date-related
variable declarations along with their own windowing rules for handling
two-digit years. While several software vendors have tried to adapt tools to
work with stored procedures, these tools don't always catch date-related
issues within database scripts. Because it is designed solely for database
stored procedures, SP/2000 can more quickly and accurately identify
potential Year 2000 problems.

"With SP/2000, ServerLogic offers organizations a turnkey solution for their
database stored procedure Year 2000 effort," said ServerLogic Vice President
Terry LeLievre. "Recognizing the issues associated with Year 2000 and stored
procedures is a challenge for most organizations; identifying the best tool
solution is now easy."

ServerLogic offers a free evaluation copy of SP/2000, along with its highly
successful PowerBuilder-specific Y2K tool, PB/2000, on its web site. For
those who seek a turnkey consulting solution for stored procedures and
PowerBuilder applications, ServerLogic offers factory services at its
Bellevue, Washington headquarters.


###
ServerLogic Corporation is a comprehensive technology consulting and
application development company, committed to developing world-class
Internet, client/server and Year 2000 software and consulting solutions.
ServerLogic has provided software development assistance to companies
spanning a broad range of industries, including financial services, health
care, public utilities, transportation and manufacturing. ServerLogic
service offerings include PowerBuilder, Visual Basic, Java and other
client/server and web development tools. ServerLogic has also partnered with
such technology leaders as Oracle, Microsoft, Sybase and SilverStream to
provide custom software development and implementation services. For more
information, contact ServerLogic at 1 (425) 803-0378 or www.serverlogic.com.

ServerLogic, SP/2000 and PB/2000 are trademarks of ServerLogic Corporation.

Corporate contact:
Richard Allen
Marketing Manager
(425) 803-0378
richardallen@serverlogic.com


